Last Comment Bug 669616 - Audio controls : duration are inaccurate.
: Audio controls : duration are inaccurate.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Paul Adenot (:padenot)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-06 06:49 PDT by Paul Adenot (:padenot)
Modified: 2011-07-12 03:47 PDT (History)
5 users (show)
mounir: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v0 - Fix roudings. (2.42 KB, patch)
2011-07-06 07:19 PDT, Paul Adenot (:padenot)
dolske: review+
Details | Diff | Splinter Review

Description Paul Adenot (:padenot) 2011-07-06 06:49:22 PDT
In http://tbpl.mozilla.org/?tree=Try&rev=e8e3ba577ba7, the accuracy of the duration label has been questioned.

Citing dolke : 

> The right way to fix this is to round |time| to the nearest full-second value. > (Or Math.round() for |secs| only, and fixup for the special case of secs==60, 
> but that sounds more complex).
Comment 1 Paul Adenot (:padenot) 2011-07-06 07:19:09 PDT
Created attachment 544233 [details] [diff] [review]
Patch v0 - Fix roudings.
Comment 2 Justin Dolske [:Dolske] 2011-07-06 18:46:41 PDT
Comment on attachment 544233 [details] [diff] [review]
Patch v0 - Fix roudings.

Review of attachment 544233 [details] [diff] [review]:
-----------------------------------------------------------------

Nice catch! :)
Comment 3 Daniel Holbert [:dholbert] 2011-07-11 12:29:05 PDT
Comment on attachment 544233 [details] [diff] [review]
Patch v0 - Fix roudings.

># HG changeset patch
># Parent f475d7fdf8322d88be7395779df3ea679b7f1bfa
># User Paul ADENOT <paul@paul.cx>
>Bug 669616 - Audio controls : duration are inaccurate.

For future reference - it's preferable to describe the change in the commit message, rather than describing the problem.

Tweaked commit message using the description in comment 0, and pushed to m-i:
http://hg.mozilla.org/integration/mozilla-inbound/rev/67397e750a3a
Comment 4 Mounir Lamouri (:mounir) 2011-07-12 03:47:04 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/67397e750a3a

Note You need to log in before you can comment on or make changes to this bug.